/* $Id: btree.c,v 1.1.1.1 2004/11/13 23:28:02 advanced Exp $

   B*Tree Implement
   2004.10.28
   Hyunsik Choi(advanced@users.kldp.net)
   http://acdbt.org/wiki/wiki.php/tinySQL/B%2ATrees */

#include<stdio.h>

#include<btree/io.h>
#include<btree/btree.h>


int bst_creat(const char *filename)
{
	IO *io;

	if(io_fexist(filename))
	{
#ifdef _DEBUG
		fprintf(stderr,"bst_creat error : file exists\n");
		return -1;
#endif
	}

	io = io_fopen(filename);

	if(io == NULL)
	{
#ifdef _DEBUG
		fprintf(stderr,"bst_creat error : can't create index file\n");
#endif
		return -1;
	}

	/* TODO , Writing of file head */

	return 0;
}
	
BTree* bst_open(const char *filename)
{
	BTree *tree = u_malloc(sizeof(BTree));

	tree->root=(BTreeNode*)NULL;
	tree->count=0;

	tree->io = io_fopen(filename);

	/* 존재 하는 파일을 그냥 열지 못한다면 */
	if(iostat != IO_OK)
	{
#ifdef _DEBUG
		fprintf(stderr,"index file open error\n");
#endif
		return (BTree*)NULL;
	}


	return (BTree*)tree;
}


void bst_close(BTree *tree)
{
	io_fclose(tree->io);
}


Node bst_alloc_node(BTree *tree)
{
	BTreeNode *node = u_malloc(sizeof(BTreeNode));

	return (Node)0;

}

int bst_insert_node(BTree *tree,Key key,uint32 idx)
{
	if(bst_is_empty(tree))
		fprintf(stderr,"empty\n");
	else
		fprintf(stderr,"exist\n");

	/* success */
	return 0;
}


int bst_remove_node(BTree *tree,Key key)
{
	if(bst_is_empty(tree))
		return -1; /* tree is empty */

	/* success */
	return 0;
}


BTreeNode* bst_search_node(BTree *tree,Key key)
{
	BTreeNode *node;
	uint8 node_idx;

	node = tree->root;

	if(node == NULL)
		return (BTreeNode*)NULL; /* tree is empty */

	if(node->count == 0)
		return (BTreeNode*)NULL; /* tree is empty */

	node_idx=0;

	while(node_idx < node->count)
	{

		node_idx++;
	}

	return (BTreeNode*)NULL;
}
