#include<btree/relation.h>
#include<stdio.h>

int main()
{
	Relation *rel = rel_new("test");

	printf("relname: %s\n",rel->relname);
	printf("db_file: %s\n",rel->db_file);
	printf("dic_file: %s\n",rel->dic_file);
	printf("io: %p\n",rel->io);
	printf("rows: %d\n",rel->rows);
	printf("szrec: %d\n",rel->szrec);

	rel_open(rel);

	rel_printlist_attr(rel);

	printf("szrec: %d\n",rel->szrec);

	Tuple *tpl = rel_new_tuple();
	int num=8;
	int num2=65534;

	rel_pack_tuple(tpl,0,TPFUNC_CHAR,(void*)"It's a test!");
	rel_pack_tuple(tpl,1,TPFUNC_NUM,(void*)&num);
	rel_pack_tuple(tpl,2,TPFUNC_INT,(void*)&num2);
	rel_printlist_tuple(tpl);
	void *data = rel_export_raw(rel,tpl);
	rel_insert_record(rel,0,data);
	rel_destroy_tuple(tpl);

	tpl = rel_new_tuple();
	num=12;
	num2 = 128;
	rel_pack_tuple(tpl,0,TPFUNC_CHAR,(void*)"Hyunsik Choi");
	rel_pack_tuple(tpl,1,TPFUNC_NUM,(void*)&num);
	rel_pack_tuple(tpl,2,TPFUNC_INT,(void*)&num2);
	data = rel_export_raw(rel,tpl);
	rel_insert_record(rel,1,data);
	rel_destroy_tuple(tpl);
	
	rel_destroy(rel);

	return 0;
}
