// $Id: schema.h,v 1.2 2005/02/28 05:30:48 advanced Exp $

#ifndef SCHEMA_H
#define SCHEMA_H 1

typedef int AID,TID;

typedef enum DomainType_ {
	dChar,dVarchar,dInt,dSmalint,dNumeric,dReal,dDouble,dFloat,dDate,dTime,dTimestamp
} DomainType;

#pragma pack(4)
typedef struct Attribute_
{
	AID a_id;
	char a_name[32];
	DomainType a_type;
	int a_length;

} Attribute;


typedef struct Table_
{
	TID t_id;
	char t_name[32];
	int t_nattr;
	Attribute **t_attr;

} Table;
#pragma pack()

Table *TableAlloc(void);
Attribute *AttrAlloc(void);

#endif
