// $Id: schwrt.c,v 1.2 2005/02/28 05:30:48 advanced Exp $

// Schema Writer $Revision: 1.2 $

#include<sys/types.h>
#include<sys/stat.h>
#include<fcntl.h>
#include<unistd.h>
#include<stdio.h>

#include<schema.h>

int fd;

int open_dic_file(void)
{
	int result = 0;
	
	fd = open("./schema.dic",O_CREAT|O_RDWR|O_TRUNC,00644);
	
	if(fd<0)
	return -1;
		
	return 0;
}
	
int main(int argc,char *argv[])
{
	int result;
	Table *table;
	Attribute *attr;
	
	int i;
	
	table = (Table*)TableAlloc();
	table->t_id = 0;
	strcpy(table->t_name,"tinySQL");
	table->t_nattr = 3;
	table->t_attr = (Attribute**)u_malloc(sizeof(Attribute)*3);
	
	attr = (Attribute*)AttrAlloc();
	attr->a_id = 0;
	strcpy(attr->a_name,"Version");
	attr->a_type = dInt;
	attr->a_length = 4;
	table->t_attr[0] = (Attribute*)attr;
	
	attr = (Attribute*)AttrAlloc();
	attr->a_id = 1;
	strcpy(attr->a_name,"Current Tag");
	attr->a_type = dChar;
	attr->a_length = 16;
	table->t_attr[1] = (Attribute*)attr;
	
	attr = (Attribute*)AttrAlloc();
	attr->a_id = 2;
	strcpy(attr->a_name,"Branch Name");
	attr->a_type = dChar;
	attr->a_length = 16;
	table->t_attr[2] = (Attribute*)attr;
	
	if(open_dic_file()<0) abort();
	
	write(fd,(void*)table,sizeof(Table));

	for(i=0;i<table->t_nattr;i++)
	{
		write(fd,(void*)table->t_attr[i],sizeof(Attribute));
	}

	close(fd);
}
