/* $Id: record.h,v 1.1.1.1 2005/02/28 05:37:15 advanced Exp $
 *
 * Date : 2005. 02. 06
 * Developer : Hyunsik Choi(advanced at kldp.net)
 * Description : This file is header of Record class.
 */

#ifndef RECORD_H
#define RECORD_H 1

#ifdef HAVE_CONFIG_H
#	include<config.h>
#endif

#include<string>

#include"schema.h"

class Record {
		
	public: // operator
		Record(std::string filename);
		~Record(void);

	private: // operator
		bool checkFile(void);
		std::string getFilename(void);
		
	public: // attribute
		unsigned char errinfo;

	private:
		const std::auto_ptr<Schema> schema;
		std::string filename;
};

#endif
