/* $Id: tinysql.cc,v 1.1.1.1 2005/02/28 05:37:15 advanced Exp $
 *
 * Date : 2005. 02. 06
 * Developer : Hyunsik Choi(advanced at kldp.net)
 * Description : tinysql main class
 */

#include<iostream>
#include<sstream>

#include"tinysql.h"

extern void parse(std::stringstream *ss);

// Constuctor
Tinysql::Tinysql(void)
{
	rchd = NULL;
}

// Destructor
Tinysql::~Tinysql(void)
{
}


// dbname - database file name
// mode - readonly, read/write..etc selection has support.
bool Tinysql::openDatabase(const char *dbname, int mode)
{
	// describing a name of database.
	this->databaseName = std::string(dbname);

	// creating instance of Record class.
	rchd = new Record(this->databaseName);
		
	return(0);
}

void Tinysql::closeDatabase(void)
{

}

int Tinysql::execute(const char *query)
{
	std::stringstream *syyin = 
		new std::stringstream(
				std::stringstream::in | 
				std::stringstream::out
		);

	*syyin << query;
	parse(syyin);

	return 0;
}

std::string Tinysql::getDatabaseName(void)
{
	// return database name
	return databaseName;
}


