/* $Id: tsql.cc,v 1.1.1.1 2005/02/28 05:37:15 advanced Exp $
 *
 * Date : 2005. 02. 07
 * Developer : Hyunsik Choi(advanced at kldp.net)
 * Description : The client program of tinysql.
 */

#include<iostream>

#include"tsql.h"

inline TSQL::TSQL(const char *dbname)
{
	// exit code initiation
	exit = false;

	// ptr initiation
	command = NULL;


	tinysql = new Tinysql();
	tinysql->openDatabase(dbname);
	tinysql->closeDatabase();
	
}

inline TSQL::~TSQL(void)
{

}			

bool TSQL::getCode(void)
{
	return false;
}

void TSQL::cmdline(const char *cmd)
{
	tinysql->execute(cmd);

}
	

// program main body
int main(int argc,char *argv[])
{
	char cmd[255];
	// if argument is existent.
	if(argc < 2){
		std::cout << "using : tiny [dbfile]" << std::endl;
		exit(0);
	}
	
	
	TSQL *tsql = new TSQL(argv[1]);

	// has been continually queried until it's exit.
	while(tsql->getCode() == false)
	{
		fgets(cmd,255,stdin);
		tsql->cmdline(cmd);
	}

	// normal quit
	return 0;
}
