/* IO Library  $Id: io.h,v 1.1.1.1 2004/11/13 23:28:02 advanced Exp $ */

#ifndef TINYSQL_IO_H
#define TINYSQL_IO_H

#include<sys/types.h>
#include<unistd.h>

#define IO_OK 0x01
#define IO_CREAT 0x02
#define IO_RDONLY 0x03

#define IO_EPERM 0x13
#define IO_NOFILE 0x00 
#define IO_EXIST 0x15

typedef struct IO IO;
struct IO {
	char *filename;
	int fd; // file descriptor
};

int iostat;
extern int iostat;

IO* io_fopen(const char *filename);
IO* io_fopen_rdonly(const char *filename);
void io_fclose(IO *hd);
int io_fread(IO *hd,void *buffer,size_t size);
int io_fwrite(IO *hd,void *buffer,size_t size);
off_t io_fseek(IO *hd,off_t offset);

int io_fexist(const char *filename);

#endif
