#include<btree/relation.h>
#include<utils.h>
#include<stdio.h>

int main()
{
	
	Relation *rel = rel_new("test");

	printf("relname: %s\n",rel->relname);
	printf("db_file: %s\n",rel->db_file);
	printf("dic_file: %s\n",rel->dic_file);
	printf("io: %p\n",rel->io);
	printf("rows: %d\n",rel->rows);
	printf("szrec: %d\n",rel->szrec);

	rel_open(rel);

	rel_printlist_attr(rel);

	printf("szrec: %d\n",rel->szrec);

	
	char *data = u_malloc(rel->szrec);
	
	rel_read_record(rel,0,data);
	Tuple *tpl = rel_export_tuple(rel,data);
	rel_printlist_tuple(tpl);
	
	rel_destroy_tuple(tpl);
	
	rel_destroy(rel);

	printf("DicHeader size : %d\n",sizeof(DicHeader));

	return 0;
}
