#include<btree/relation.h>
#include<stdio.h>

int main()
{
	AttrList *attr;
	
	Relation *rel = rel_new("test");

	printf("relname: %s\n",rel->relname);
	printf("db_file: %s\n",rel->db_file);
	printf("dic_file: %s\n",rel->dic_file);
	printf("io: %p\n",rel->io);
	printf("rows: %d\n",rel->rows);
	printf("szrec: %d\n",rel->szrec);

	rel_open(rel);

	rel_printlist_attr(rel);

	printf("szrec: %d\n",rel->szrec);

	attr = rel_get_attrobj_withname(rel,"ID");
	printf("name: %s\n",attr->attrname);

	rel_destroy(rel);

	printf("DicHeader size : %d\n",sizeof(DicHeader));

	return 0;
}
