// $Id: sqlproc.cc,v 1.1.1.1 2005/02/28 05:37:15 advanced Exp $

#include<iostream>

#include"sqlproc.h"

#ifdef DEBUG
void sql_ok()
{
	std::cout << "sql ok" << std::endl;
}
#endif


Node* new_node(Statement stmt)
{
	Node *node = new Node;
	node->stmt = stmt;

	return node;
}

Node* new_node(Statement stmt,TableElmt *tbelmt)
{
	Node *node = new Node;
	node->stmt = stmt;

	node->tables.push_back(tbelmt);

	return node;
}

TableElmt* new_table_elmt(char *tbname,DataType *datatype)
{
	TableElmt *tbelmt = new TableElmt;

	tbelmt->tbname = tbname;
	tbelmt->domain = datatype->domain;
	tbelmt->size = datatype->size;

	return tbelmt;
}

DataType* new_data_type(int domain,int size)
{
	DataType *datatype = new DataType;

	datatype->domain = domain;
	datatype->size = size;

	return datatype;
}	
