/* $Id: tinysql.h,v 1.1.1.1 2005/02/28 05:37:15 advanced Exp $
 *
 * Date : 2005. 02. 06
 * Developer : Hyunsik Choi(advanced at kldp.net)
 * Description : This file is header of Tinysql class.
 */

#ifndef TINYSQL_H
#define TINYSQL 1

// including config header of autoconf.
#ifdef HAVE_CONFIG_H
#	include<config.h>
#endif

#include<iostream>
#include<string>

#include"record.h"

class Tinysql {

	public : // operator
		Tinysql(void);
		~Tinysql(void);

		bool openDatabase(const char *dbname,int mode = 0);
		void closeDatabase(void);

		int execute(const char *query);

		std::string getDatabaseName(void);

	private :

	public : // attribute

	private :
		std::string databaseName;
		Record *rchd;

};

#endif
